Share via


Integration Runtimes - List Auth Keys

Retrieves the authentication keys for an integration runtime.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/integrationRuntimes/{integrationRuntimeName}/listAuthKeys?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

integrationRuntimeName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The integration runtime name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

IntegrationRuntimeAuthKeys

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

IntegrationRuntimes_ListAuthKeys

Sample request

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/integrationRuntimes/exampleIntegrationRuntime/listAuthKeys?api-version=2018-06-01

Sample response

Date: Thu, 14 Jun 2018 14:51:00 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 2ea25426-9d1d-49f3-88b6-fb853eb02cb9
x-ms-ratelimit-remaining-subscription-reads: 14999
x-ms-request-id: 2ea25426-9d1d-49f3-88b6-fb853eb02cb9
{
  "authKey1": "**********",
  "authKey2": "**********"
}

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

IntegrationRuntimeAuthKeys

The integration runtime authentication keys.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

IntegrationRuntimeAuthKeys

The integration runtime authentication keys.

Name Type Description
authKey1

string

The primary integration runtime authentication key.

authKey2

string

The secondary integration runtime authentication key.